<?php

namespace App\Http\Requests\V3\Dashboard\Harim\PanjareVahed;

use Illuminate\Contracts\Validation\ValidationRule;
use Illuminate\Foundation\Http\FormRequest;

class GetAccessRoadRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return false;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, ValidationRule|array|string>
     */
    public function rules(): array
    {
        return [
            'panjare_vahed_id' => 'required|string',
            'access_road' => 'required',
        ];
    }
}
